2021-03-04 03:26 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003181FSSCPturretspublic2020-07-06 22:50
ReporterSpoon 
Assigned ToGoober5000 
PrioritynormalSeverityminorReproducibilityalways
StatusassignedResolutionopen 
Product Version3.7.4 RC1 
Target VersionFixed in Version 
Summary0003181: Fire on target flag causes turrets to ignore their rotation speeds
DescriptionIt's super noticable with beams on multi part turrets
As shown here: https://my.mixtape.moe/fehacj.webm
These turrets are suppose to have a 360 degree rotation of 10 seconds. Yet they track and lead the target (in this case, me) at speeds they shouldn't be able to.

Excuse all the other laser bolts obscuring the vision. I'd laser protect myself, but it turns out that's another thing that is bugged. Which I reported here: http://scp.indiegames.us/mantis/view.php?id=3180
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0016828

Spoon (reporter)

Last edited: 2016-06-21 18:32

View 2 revisions

Why does mantis not come with an edit button? (Or am I too blind to see it? At least these notes have a edit button)
My initial report was not actually super clear but I am not allowed to edit (or delete) a report.

So to elaborate: Fire on target flag causes turrets to ignore their rotation speeds when firing beams.
A better webm to illustrate the issue: https://my.mixtape.moe/fgdjde.webm
Notice how slow these turrets rotate, until they fire on their target. Then they suddenly start tracking the target at rotation speeds way above their tabled value

~0016829

The_E (administrator)

Could you try this build to see if it's fixed? https://www.dropbox.com/s/ui5vd5us14txemw/fs2_open_3_7_5.7z?dl=0

~0016830

Spoon (reporter)

I remembered today I reported things on mantis, and only saw your added note today. Mantis used to send me an email before when someone added something to a mantis issue, but it seemingly couldn't be bothered to do so this time around. So my apologies for not responding to this sooner.

Tried the build, alas, issue not fixed.

~0016919

Spoon (reporter)

Almost two years later, this is still a very noticable issue. Any chance of anyone looking into this?

~0016998

Goober5000 (administrator)

I just looked into it. The fire-on-turret flag is only used in a few places, and none of them have anything to do with rotation. That either means the bug has been fixed or the bug is caused by some unknown and bizarre code interactions. Do you have a test mission?
+Notes

-Issue History
Date Modified Username Field Change
2016-06-21 18:09 Spoon New Issue
2016-06-21 18:31 Spoon Note Added: 0016828
2016-06-21 18:32 Spoon Note Edited: 0016828 View Revisions
2016-07-14 16:59 The_E Assigned To => The_E
2016-07-14 16:59 The_E Status new => assigned
2016-07-14 17:05 The_E Note Added: 0016829
2016-07-29 22:39 Spoon Note Added: 0016830
2018-04-13 10:56 Spoon Note Added: 0016919
2020-07-06 22:23 Goober5000 Note Added: 0016998
2020-07-06 22:50 Goober5000 Assigned To The_E => Goober5000
+Issue History